Your message dated Thu, 29 May 2014 17:49:19 +0000
with message-id <e1wq4s7-0001u6...@franck.debian.org>
and subject line Bug#748085: fixed in spatialite-gui 1.7.1-4
has caused the Debian Bug report #748085,
regarding spatialite-gui: Please update to use wxwidgets3.0
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
748085: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=748085
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Package: spatialite-gui
Version: 1.7.1-3
Severity: normal
Tags: patch
User: freewx-ma...@lists.alioth.debian.org
Usertags: wx3.0

Dear maintainer,

We're aiming to migrate the archive to using wxwidgets3.0 instead of
wxwidgets2.8.

I've rebuilt your package using the attached simple patch to make
configure find the required wx libraries.  It seems to run OK, but I
have no suitable spatial data to test it with so I haven't exercised it
very thoroughly.

I'm happy to NMU this change if you wish me to - just let me know.

Cheers,
    Olly
diff -Nru spatialite-gui-1.7.1/debian/changelog spatialite-gui-1.7.1/debian/changelog
--- spatialite-gui-1.7.1/debian/changelog	2014-03-19 20:24:16.000000000 +1300
+++ spatialite-gui-1.7.1/debian/changelog	2014-05-01 19:55:07.000000000 +1200
@@ -1,3 +1,10 @@
+spatialite-gui (1.7.1-3.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Update to use wxWidgets 3.0.
+
+ -- Olly Betts <o...@survex.com>  Thu, 01 May 2014 19:55:07 +1200
+
 spatialite-gui (1.7.1-3) unstable; urgency=low
 
   * Add gbp.conf to use pristine-tar by default.
diff -Nru spatialite-gui-1.7.1/debian/control spatialite-gui-1.7.1/debian/control
--- spatialite-gui-1.7.1/debian/control	2014-03-19 20:24:16.000000000 +1300
+++ spatialite-gui-1.7.1/debian/control	2014-05-01 19:55:22.000000000 +1200
@@ -8,8 +8,7 @@
                dh-autoreconf,
                pkg-config,
                wx-common,
-               wx2.8-headers,
-               libwxgtk2.8-dev,
+               libwxgtk3.0-dev,
                libspatialite-dev (>= 4.1.1-5~),
                libproj-dev,
                libgeos-dev,
diff -Nru spatialite-gui-1.7.1/debian/patches/series spatialite-gui-1.7.1/debian/patches/series
--- spatialite-gui-1.7.1/debian/patches/series	2014-03-19 20:24:16.000000000 +1300
+++ spatialite-gui-1.7.1/debian/patches/series	2014-05-01 20:04:00.000000000 +1200
@@ -2,3 +2,4 @@
 01-fix_binary_name.patch
 02-fix_typos.patch
 03-link-sqlite3.patch
+wx3.0-compat.patch
diff -Nru spatialite-gui-1.7.1/debian/patches/wx3.0-compat.patch spatialite-gui-1.7.1/debian/patches/wx3.0-compat.patch
--- spatialite-gui-1.7.1/debian/patches/wx3.0-compat.patch	1970-01-01 12:00:00.000000000 +1200
+++ spatialite-gui-1.7.1/debian/patches/wx3.0-compat.patch	2014-05-01 20:04:18.000000000 +1200
@@ -0,0 +1,26 @@
+Description: Fix to build with wxwidgets 3.0
+Author: Olly Betts <o...@survex.com>
+Last-Update: 2014-05-01
+
+--- spatialite-gui-1.7.1.orig/configure
++++ spatialite-gui-1.7.1/configure
+@@ -15543,7 +15543,7 @@ if test x$WX_CONFIG == xnot_found; then
+ fi
+ CXXFLAGS="$(wx-config --cxxflags)"
+ AM_CXXFLAGS="$(wx-config --cxxflags)"
+-WX_LIBS="$(wx-config --libs)"
++WX_LIBS="$(wx-config --libs std,aui)"
+ 
+ 
+ # Checks for header files.
+--- spatialite-gui-1.7.1.orig/configure.ac
++++ spatialite-gui-1.7.1/configure.ac
+@@ -54,7 +54,7 @@ if test x$WX_CONFIG == xnot_found; then
+ fi
+ CXXFLAGS="$(wx-config --cxxflags)"
+ AM_CXXFLAGS="$(wx-config --cxxflags)"
+-WX_LIBS="$(wx-config --libs)"
++WX_LIBS="$(wx-config --libs std,aui)"
+ AC_SUBST(WX_LIBS)
+ 
+ # Checks for header files.

--- End Message ---
--- Begin Message ---
Source: spatialite-gui
Source-Version: 1.7.1-4

We believe that the bug you reported is fixed in the latest version of
spatialite-gui, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 748...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bas Couwenberg <sebas...@xs4all.nl> (supplier of updated spatialite-gui package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 29 May 2014 14:31:52 +0200
Source: spatialite-gui
Binary: spatialite-gui spatialite-gui-dbg
Architecture: source amd64
Version: 1.7.1-4
Distribution: unstable
Urgency: medium
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Changed-By: Bas Couwenberg <sebas...@xs4all.nl>
Description: 
 spatialite-gui - user-friendly graphical user interface for SpatiaLite
 spatialite-gui-dbg - user-friendly graphical user interface for spatialite - 
debugging
Closes: 748085
Changes: 
 spatialite-gui (1.7.1-4) unstable; urgency=medium
 .
   [ Olly Betts ]
   * Update to use wxWidgets 3.0.
     (closes: #748085)
 .
   [ Bas Couwenberg ]
   * Drop lintian override for no-upstream-changelog,
     shouldn't override pedantic tags.
Checksums-Sha1: 
 a402633687fe8124fe3f3af4fa8f3337db6780bd 2285 spatialite-gui_1.7.1-4.dsc
 3b9d88e84ffa5a4f913cf74b098532c2cd15398f 1090178 
spatialite-gui_1.7.1.orig.tar.gz
 0ef03ec00a86783c432e23f51d03a3f2c32ac292 6164 
spatialite-gui_1.7.1-4.debian.tar.xz
 892ce4a87bb979ab0e4b203ed302d7ddce6977a7 531940 
spatialite-gui_1.7.1-4_amd64.deb
 ef2b03e3ede2358fe2137969961c9c8dbe32fcbf 4656484 
spatialite-gui-dbg_1.7.1-4_amd64.deb
Checksums-Sha256: 
 db27213cea5b7d00eb2e44d754bc09a391101981e8145681eea6aa844fd8fabc 2285 
spatialite-gui_1.7.1-4.dsc
 cb9cb1ede7f83a5fc5f52c83437e556ab9cb54d6ace3c545d31b317fd36f05e4 1090178 
spatialite-gui_1.7.1.orig.tar.gz
 58bf39d00db6d76fd75a11dfe76b6d459ca75b4b657c05e8722b651a19426729 6164 
spatialite-gui_1.7.1-4.debian.tar.xz
 2e052bd6d3bb9d1e94a4dba654570cd72eb2283d959329da5320de9ecf130416 531940 
spatialite-gui_1.7.1-4_amd64.deb
 37d5b8def16ab978d73bff11df9e5e29ffa25d742d8e7dfa5618044094595026 4656484 
spatialite-gui-dbg_1.7.1-4_amd64.deb
Files: 
 8e32e99d17f4b98b54de271a897586c6 531940 utils optional 
spatialite-gui_1.7.1-4_amd64.deb
 377cb911db3b3f787beb1f457fb87865 4656484 debug extra 
spatialite-gui-dbg_1.7.1-4_amd64.deb
 214708849a324872c560c5987d68294d 2285 utils optional spatialite-gui_1.7.1-4.dsc
 c917f40810607784528b4db58cd36efb 1090178 utils optional 
spatialite-gui_1.7.1.orig.tar.gz
 d946f7b00fa6a6de5cfe7f7c5eee3810 6164 utils optional 
spatialite-gui_1.7.1-4.debian.tar.xz

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCgAGBQJTh28HAAoJEFeKBJTRxkbRbZ8P/Ar1kvzb3VlTj6XsyKtVwExp
J2bOP81/q+giVqQKmsneqOOS1LlaciLkJBwUQe+OsRm/CKUWG4GY9vC2U8UyRDaw
qOV358DqvNbZeQGxeqGAWZCRlJ7xPYav1jUKVD6jfyDunCt+AqTka0Q+GOmAmztv
ywxNOWuSypvf7phOcPfgQSlF5mu8SibpPwhquGxkjat+b+Zs5FcHbGSq1lY3aNj2
sgS0NO2VBcx5w3fRN7V0hdhxER8moXvv3QIlNS/n/HzmfxwNq9KPGb8eARvaXJrY
Z5mIePr+WWySY6ecf5Q2OYGJDmSMqURLx5yqGSqnKEfSoTXd+lhuDJAoqtR1VKSh
NfVEyqEyAc2B55A3V78oBvs9gohMFIUI41Gm0DHn6Afzrk8um++xoIgr2fhBebG/
xo4kYmSG3+G/s13GRKQeUlQU48aRFqSKeCIG7RWDYFqgbYu3IxVcfnvyzf2CC1H9
HebVnMzsrSinMd7+g1dGH0aU9pOP+3eC48GCsfWDBkbRG0Y+BfvvtceShrRH9wd9
FLHLs8X55UUIGtpz4CFUZFFZlK0rG9G+hMYYqBt7lVoYq5M+pCIyhukriGXAk59N
KVOWc6xjIHe85dKJd5De8pdEAGcI65eA7Rgq85c+GKq2WGftF40pgx+dDIIn1QrJ
B1KUmHW/iG4U+ZT0s6ZQ
=h3Ug
-----END PGP SIGNATURE-----

--- End Message ---
_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to